#ifndef _exDialog_h
#define _exDialog_h

#include <X11/Intrinsic.h>
#include <exBasics.h>

#define exTextWidth(f, s)  XTextWidth(f, (s), strlen(s))

#define SHADOW_WIDTH 6
#define SHADOW_TOP 2

#define ANSWERYES	1
#define ANSWERNO	2
#define ANSWERCANCEL	3

static char exLayoutSccsID[] = "%W%\t%G%";            /* sccs keyword */

/****************************************************************************
 *
 *				external declarations
 *
 ****************************************************************************/

extern Pixmap exBlackPM(/* display */);
extern Pixmap exDark_greyPM(/* display */);
extern Pixmap exGreyPM(/* display */);
extern Pixmap exLight_greyBM(/* display */);
extern Pixmap exLight_greyPM(/* display */);
extern Pixmap exUltralight_greyPM(/* display */);
extern Pixmap exWhitePM(/* display */);
extern XFontStruct *exBaseFont(/* display */);
extern XFontStruct *exBoldFont(/* display */);
extern XFontStruct *exEditorFont(/* display */);
extern XFontStruct *exSmallFont(/* display */);
extern XFontStruct *getFont(/* fl */);
extern char *getMenuDir();
extern exFontHeight(/* fontInfo */);
extern exFontWidth(/* fontInfo */);
extern exLoadBitmap(/* d, file, pm */);
extern exLoadPixmap(/* d, file, pm */);
extern exNotify2User(/* parent, x, y, msg */);
extern exNotifyUser(/* parent, x, y, msg */);
extern getMouse_xy(/* d, rootx, rooty */);
extern int exInitLayout(/* display */);
extern unsigned long exBlackPixel(/* display */);
extern unsigned long exWhitePixel(/* display */);
extern void Beep(/* d */);
extern void Bell();
extern void exAlert(/* parent, x, y, msg */);
extern void exAlert2(/* parent, x, y, msg1, msg2 */);
extern void exDrawShadow(/* wd, x, y, width, height */);
extern void exGrabAll(/* w, csr */);
extern void exReset(/* display */);
extern void exUngrabAll(/* w */);
extern void exWidgetPos(/* shellW, x, y, def_width, def_height */);
#endif
